> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Allowlists

> List the allowlists on a VaultCord account



## OpenAPI

````yaml get /allowlist
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /allowlist:
    get:
      tags:
        - Whitelists
        - Allowlists
      description: List the allowlists on a VaultCord account
      operationId: listWhites
      responses:
        '200':
          $ref: '#/components/responses/whitelists'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    whitelists:
      description: >-
        List of VaultCord firewall allowlists. Used to bypass certain members
        from VPN or alternate account detection
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              data:
                type: array
                items:
                  $ref: '#/components/schemas/whitelistObject'
  schemas:
    whitelistObject:
      type: object
      properties:
        id:
          type: integer
          description: Random auto-increment ID
          example: 85
        accId:
          type: integer
          example: 25204
          description: VaultCord account ID.
        userid:
          type: string
          example: '720820224877789204'
          description: Discord snowflake user ID to allowlist
        ip:
          type: string
          description: IP address to allowlist
          example: 1.1.1.1
        fingerprint:
          type: string
          description: Browser fingerprint to allowlist
          example: 1a5423084a51bd2b47fe3aedde108b0c
        region:
          type: string
          description: Region code from ip-api.com to allowlist
          example: ENG
        country:
          type: string
          description: Country code from ip-api.com to allowlist
          example: GB
        asn:
          type: integer
          description: ASN number from ip-api.com to allowlist
          example: 13335
        domain:
          type: string
          description: Email address domain to allowlist
          example: notexttospeech@gmail.com
        created_at:
          type: string
          example: 1715282199
          description: The creation date of the blocklist, in unix timestamp (seconds)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````